Bug Hunting Session
Bug 123747 - digital signatures from 6.1 and 6.2 ivalidate each other
Summary: digital signatures from 6.1 and 6.2 ivalidate each other
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2019-02-27 16:02 UTC by wdehoog
Modified: 2019-04-10 15:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wdehoog 2019-02-27 16:02:39 UTC
When having signed a document with Libreoffice 6.1.4 and adding another signature with 6.2 the previous added signature becomes invalid.

When having signed a document with Libreoffice 6.2 and adding another signature with 6.1.4 the previous added signature becomes invalid.

When having signed a document with Libreoffice 6.1.4 and adding another signature with 6.1.4 they are both valid.

Tested on Windows 7, 10 and Ubuntu.
Comment 1 Xisco Faulí 2019-04-02 11:01:54 UTC
I can reproduce it with a document signed in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

and then resigned in 

Version: 6.3.0.0.alpha0+
Build ID: 5f04be8d385f100d0775549cbdd7295cec1d1423
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

not reproduced if resigned in

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 2 Xisco Faulí 2019-04-02 11:23:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ea3a5036d23081b6e8eb38a399ff8ef5acd8adc7

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-08-27 09:15:16 +0200
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-08-27 19:15:55 +0200
commit	ea3a5036d23081b6e8eb38a399ff8ef5acd8adc7 (patch)
tree	f66ee3c3f41cbf691b029cf24fde4e005b390045
parent	1a4bc964f15003c6aaec84989e3e47501b7f72df (diff)
tdf#119309 xmlsecurity xades: missing XML attribute on idSignedProperties ref

Bisected with: bibisect-linux64-6.2

Adding Cc:to Miklos Vajna
Comment 3 Commit Notification 2019-04-09 07:13:32 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8a9d8238bd8f903393ff1184aa37f8973c81e2ba%5E%21

tdf#123747 xmlsecurity, ODF sign roundtrip: preserve invalid reference type

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-04-09 10:53:17 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 040a54d89e8ca33171e86647ced8dc58efd85fbe
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos Vajna, thanks for fixing this issue!
Comment 5 Commit Notification 2019-04-09 12:39:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f82e3b03162bff8ecd0409be21744f2c2b2c9144%5E%21

tdf#123747 xmlsecurity, ODF sign roundtrip: preserve invalid reference type

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-04-10 06:06:38 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-3":

https://git.libreoffice.org/core/+/12973e1449d981989588b2ca80593e494bd156f5%5E%21

tdf#123747 xmlsecurity, ODF sign roundtrip: preserve invalid reference type

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.